Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetRestart

Gets the restart parameter used in the NLEIGS method.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetRestart(NEP nep,PetscReal *keep)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- keep - the restart parameter

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetRestart()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSGetRestart_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages